### R code from vignette source 'prob.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: prob.Rnw:49-50
###################################################
library(prob)


###################################################
### code chunk number 2: prob.Rnw:102-103
###################################################
tosscoin(1)


###################################################
### code chunk number 3: prob.Rnw:108-109
###################################################
tosscoin(3)


###################################################
### code chunk number 4: prob.Rnw:115-116
###################################################
rolldie(1)


###################################################
### code chunk number 5: prob.Rnw:128-129
###################################################
cards()


###################################################
### code chunk number 6: prob.Rnw:161-162
###################################################
urnsamples(1:3, size = 2, replace = TRUE, ordered = TRUE)


###################################################
### code chunk number 7: prob.Rnw:176-177
###################################################
urnsamples(1:3, size = 2, replace = FALSE, ordered = TRUE)


###################################################
### code chunk number 8: prob.Rnw:191-192
###################################################
urnsamples(1:3, size = 2, replace = FALSE, ordered = FALSE)


###################################################
### code chunk number 9: prob.Rnw:204-205
###################################################
urnsamples(1:3, size = 2, replace = TRUE, ordered = FALSE)


###################################################
### code chunk number 10: prob.Rnw:288-292
###################################################
nsamp(n=3, k=2, replace = TRUE, ordered = TRUE)
nsamp(n=3, k=2, replace = FALSE, ordered = TRUE)
nsamp(n=3, k=2, replace = FALSE, ordered = FALSE)
nsamp(n=3, k=2, replace = TRUE, ordered = FALSE)


###################################################
### code chunk number 11: prob.Rnw:322-325
###################################################
n <- c(11, 7, 31)
k <- c(3, 4, 3)
r <- c(FALSE,FALSE,TRUE)


###################################################
### code chunk number 12: prob.Rnw:328-329
###################################################
x <- nsamp(n, k, rep = r, ord = TRUE)


###################################################
### code chunk number 13: prob.Rnw:337-338
###################################################
prod(x)


###################################################
### code chunk number 14: prob.Rnw:342-343
###################################################
(11*10*9)*(7*6*5*4)*31^3


###################################################
### code chunk number 15: prob.Rnw:347-348
###################################################
prod(9:11)*prod(4:7)*31^3


###################################################
### code chunk number 16: prob.Rnw:352-353
###################################################
prod(factorial(c(11,7))/factorial(c(8,3)))*31^3


###################################################
### code chunk number 17: prob.Rnw:410-413
###################################################
outcomes <- rolldie(1)
p <- rep(1/6, times = 6)
probspace(outcomes, probs = p)


###################################################
### code chunk number 18: prob.Rnw:421-422
###################################################
probspace(1:6, probs = p)


###################################################
### code chunk number 19: prob.Rnw:429-430
###################################################
probspace(1:6)


###################################################
### code chunk number 20: prob.Rnw:437-438
###################################################
rolldie(1, makespace = TRUE)


###################################################
### code chunk number 21: prob.Rnw:461-462
###################################################
probspace(tosscoin(1), probs = c(0.70, 0.30))


###################################################
### code chunk number 22: prob.Rnw:491-492
###################################################
iidspace(c("H","T"), ntrials = 3, probs = c(0.7, 0.3))


###################################################
### code chunk number 23: prob.Rnw:542-545
###################################################
S <- tosscoin(2, makespace = TRUE)
S[1:3, ]
S[c(2,4), ]


###################################################
### code chunk number 24: prob.Rnw:548-549
###################################################
S <- cards()


###################################################
### code chunk number 25: prob.Rnw:551-553
###################################################
subset(S, suit == "Heart")
subset(S, rank %in% 7:9)


###################################################
### code chunk number 26: prob.Rnw:556-557
###################################################
subset(rolldie(3), X1+X2+X3 > 16)


###################################################
### code chunk number 27: prob.Rnw:577-580
###################################################
x <- 1:10
y <- 3:7
y %in% x


###################################################
### code chunk number 28: prob.Rnw:587-588
###################################################
isin(x,y)


###################################################
### code chunk number 29: prob.Rnw:595-597
###################################################
x <- 1:10
y <- c(3,3,7)


###################################################
### code chunk number 30: prob.Rnw:600-602
###################################################
all(y %in% x)
isin(x,y)


###################################################
### code chunk number 31: prob.Rnw:611-613
###################################################
isin(x, c(3,4,5), ordered = TRUE)
isin(x, c(3,5,4), ordered = TRUE)


###################################################
### code chunk number 32: prob.Rnw:626-628
###################################################
S <- rolldie(4)
subset(S, isin(S, c(2,2,6), ordered = TRUE))


###################################################
### code chunk number 33: prob.Rnw:656-659
###################################################
S <- cards()
A <- subset(S, suit == "Heart")
B <- subset(S, rank %in% 7:9)


###################################################
### code chunk number 34: prob.Rnw:663-667
###################################################
union(A,B)
intersect(A,B)
setdiff(A,B)
setdiff(B,A)


###################################################
### code chunk number 35: prob.Rnw:714-717
###################################################
S <- cards(makespace = TRUE)
A <- subset(S, suit == "Heart")
B <- subset(S, rank %in% 7:9)


###################################################
### code chunk number 36: prob.Rnw:721-722
###################################################
Prob(A)


###################################################
### code chunk number 37: prob.Rnw:726-727
###################################################
Prob(S, suit == "Heart")


###################################################
### code chunk number 38: prob.Rnw:762-765
###################################################
Prob(A, given = B)
Prob(S, suit=="Heart", given = rank %in% 7:9)
Prob(B, given = A)


###################################################
### code chunk number 39: prob.Rnw:774-775
###################################################
Prob( intersect(A,B) ) / Prob(B)


###################################################
### code chunk number 40: prob.Rnw:790-792
###################################################
Prob( union(A,B) )
Prob(A) + Prob(B) - Prob(intersect(A,B))


###################################################
### code chunk number 41: prob.Rnw:796-798
###################################################
Prob( intersect(A,B) )
Prob(A) * Prob(B, given = A)


###################################################
### code chunk number 42: prob.Rnw:803-804
###################################################
S <- tosscoin(2, makespace = TRUE)


###################################################
### code chunk number 43: prob.Rnw:807-809
###################################################
Prob(S, toss2 == "H")
Prob(S, toss2 == "H", given = toss1=="H")


###################################################
### code chunk number 44: prob.Rnw:839-841
###################################################
S <- cards(makespace=TRUE)
sim(S, ntrials = 5)


###################################################
### code chunk number 45: prob.Rnw:870-873
###################################################
S <- tosscoin(2, makespace = TRUE)
sims <- sim(S, ntrials = 50000)
empirical(sims)


###################################################
### code chunk number 46: prob.Rnw:906-908
###################################################
S <- rolldie(3, nsides = 4, makespace = TRUE)
S <- addrv(S, U = X1-X2+X3)


###################################################
### code chunk number 47: prob.Rnw:914-915
###################################################
S[1:9,]


###################################################
### code chunk number 48: prob.Rnw:920-921
###################################################
Prob(S, U > 6)


###################################################
### code chunk number 49: prob.Rnw:934-937
###################################################
S <- addrv(S, FUN = max, invars = c("X1","X2","X3"), name = "V")
S <- addrv(S, FUN = sum, invars = c("X1","X2","X3"), name = "W")
S[1:9,]


###################################################
### code chunk number 50: prob.Rnw:958-959
###################################################
marginal(S, vars = "V")


###################################################
### code chunk number 51: prob.Rnw:967-968
###################################################
marginal(S, vars = c("V", "W"))


###################################################
### code chunk number 52: prob.Rnw:1076-1079
###################################################
L <- cards()
M <- urnsamples(L, 2)
N <- probspace(M)


###################################################
### code chunk number 53: prob.Rnw:1091-1095
###################################################
A <- subset(N, all(suit=="Heart"))
B <- subset(N, any(suit=="Heart"))
C <- subset(N, any(suit=="Heart") & all(rank=="A"))
D <- subset(N, any(suit=="Spade") & any(rank=="A"))


###################################################
### code chunk number 54: prob.Rnw:1099-1103
###################################################
Prob(A)
Prob(B)
Prob(C, given = D)
Prob(D, given = C)


###################################################
### code chunk number 55: prob.Rnw:1138-1141
###################################################
library(combinat)
out <- data.frame(t(xsimplex(3,2)))
p <- apply(out, MARGIN = 1, FUN = dmultinom, prob = c(1,1,1))


###################################################
### code chunk number 56: prob.Rnw:1144-1145
###################################################
S <- probspace(out, p)


###################################################
### code chunk number 57: prob.Rnw:1185-1188
###################################################
x <- rep(c("Red", "Blue"), times = c(4,10))
P <- urnsamples(x, size = 3, replace = FALSE, ordered = FALSE)
Q <- probspace(P)


###################################################
### code chunk number 58: prob.Rnw:1226-1227
###################################################
noorder(Q)


###################################################
### code chunk number 59: prob.Rnw:1235-1236
###################################################
dhyper(0:3, 4, 10, 3)


